Package com.io7m.smfj.parser.api

## Class SMFParserEventsDataTrianglesIgnoringReceiver

- java.lang.Object
- - com.io7m.smfj.parser.api.SMFParserEventsDataTrianglesIgnoringReceiver

- All Implemented Interfaces:
    `SMFParserEventsDataTrianglesType`, `SMFParserEventsErrorType`

      public final class SMFParserEventsDataTrianglesIgnoringReceiver
      extends java.lang.Object
      implements SMFParserEventsDataTrianglesType

  A convenient implementation of the `SMFParserEventsDataTrianglesType` interface that delegates warnings and errors but ignores data.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFParserEventsDataTrianglesIgnoringReceiver​(SMFParserEventsErrorType in_receiver)` | Construct a receiver.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onDataTriangle​(long v0, long v1, long v2)` | A triangle has been parsed.
    `void` | `onDataTrianglesFinish()` | Parsing of triangles has completed.
    `void` | `onError​(SMFErrorType e)` | An error has occurred.
    `void` | `onWarning​(SMFWarningType w)` | An error has occurred of a severity low enough that it should just be considered a warning.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SMFParserEventsDataTrianglesIgnoringReceiver

          public SMFParserEventsDataTrianglesIgnoringReceiver​(SMFParserEventsErrorType in_receiver)

      Construct a receiver.
      Parameters:
        `in_receiver` - The error/warning receiver

  - ### Method Detail

    - #### onWarning

          public void onWarning​(SMFWarningType w)

      Description copied from interface: `SMFParserEventsErrorType`
      An error has occurred of a severity low enough that it should just be considered a warning.
      Specified by:
        `onWarning` in interface `SMFParserEventsErrorType`
      Parameters:
        `w` - The warning

    - #### onError

          public void onError​(SMFErrorType e)

      Description copied from interface: `SMFParserEventsErrorType`
      An error has occurred. Parsing will continue but the file as a whole must be considered invalid.
      Specified by:
        `onError` in interface `SMFParserEventsErrorType`
      Parameters:
        `e` - The error

    - #### onDataTriangle

          public void onDataTriangle​(long v0,
                                     long v1,
                                     long v2)

      Description copied from interface: `SMFParserEventsDataTrianglesType`
      A triangle has been parsed.
      Specified by:
        `onDataTriangle` in interface `SMFParserEventsDataTrianglesType`
      Parameters:
        `v0` - The index of the first vertex
        `v1` - The index of the second vertex
        `v2` - The index of the third vertex

    - #### onDataTrianglesFinish

          public void onDataTrianglesFinish()

      Description copied from interface: `SMFParserEventsDataTrianglesType`
      Parsing of triangles has completed.
      Specified by:
        `onDataTrianglesFinish` in interface `SMFParserEventsDataTrianglesType`